Subject: bug#72681: 31.0.50; visual-wrap-prefix-mode interacts badly with plain lists in org-mode

From: "Mark Hepburn" <[email-masked]>
Date: Sun, 18 Aug 2024 10:02:57 +1000

Thanks Jim, nice work -- yes that seems to work perfectly again for all the problematic files I had before.

Cheers, Mark.

On Sun, Aug 18, 2024, at 6:29 AM, Jim Porter wrote:
> On 8/17/2024 12:19 AM, Eli Zaretskii wrote:
> > Jim, could you please look into this?  Is visual-wrap-prefix-mode at
> > all supposed to be used in Org buffers?
> 
> Yes, I think 'visual-wrap-prefix-mode' should support Org buffers. It's 
> probably one of the more useful text-based modes where 
> 'visual-wrap-prefix-mode' would be convenient.
> 
> It looks like this was just a small corner case in the visual-wrap code 
> for aligning prefix lines that didn't account for Org-Mode's custom 
> 'adaptive-fill-function'. I've fixed this by being more careful to only 
> apply the 'min-width' display property to a single logical line.
> 
> Mark, does the attached patch fix things for you? It looks like it works 
> in my tests, but maybe you have some more complicated test cases you'd 
> like to try to verify this.
> 
> *Attachments:*
>  • 0001-Be-more-careful-about-aligning-prefix-lines-in-visua.patch